05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Public Attributes | Protected Attributes | List of all members
ProcessorWindow Class Reference
Computer Vision Module

Generic camera processor window base class. More...

`#include <ProcessorWindow.h>`

Inheritance diagram for ProcessorWindow:

## Public Slots
virtual void | frameIn (int id, cv::Mat *frame)
| Update displayed picture. More...
void | Properties ()
| Opens properties dialog. More...
virtual void | contextMenuRequested (QPoint point)
| Opens context menu. More...
virtual void | contextMenuEvent (QContextMenuEvent *event)
| Triggers context menu event. More...

## Signals
void | closing (ProcessorWindow *)
| Emitted on window close. More...
void | connectInputs (QList< CameraObject * >, QList< ProcessorObject * >)
| Updates connected devices list. More...
void | signalSpecial (QString)
| For communication between ProcessorObject and ProcessorWindow. More...

## Public Member Functions
| ProcessorWindow (ProcessorThread *, QWidget *parent=0, Qt::WindowFlags flags=0)
| Default constructor, initializes processor calibration window. More...
| ~ProcessorWindow ()
| Default destructor, cleans up. More...
virtual void | updateLists (QList< CameraPreview * >, QList< ProcessorWindow * >)
| Allows derived classes to update list of input cameras and processors, empty in base class. More...

## Public Attributes
ProcessorThread * | pt
| Pointer to corresponding ProcessorThread. More...

## Protected Attributes
QPropertyEditorWidget * | prop

## Detailed Description

Generic camera processor window base class.

## Constructor & Destructor Documentation

ProcessorWindow | ( | ProcessorThread * | ,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

Default constructor, initializes processor calibration window.

Parameters

  pt | pointer to corresponding ProcessorThread
  parent | pointer to parent widget
  flags | window flags

~ProcessorWindow | ( |  | ) |

Default destructor, cleans up.

## Member Function Documentation

void closing | ( | ProcessorWindow * |  | ) |
| signal

Emitted on window close.

void connectInputs | ( | QList< CameraObject * > | ,
|  | QList< ProcessorObject * > |
| ) |  |
| signal

Updates connected devices list.

virtual void contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| virtual slot

Triggers context menu event.

virtual void contextMenuRequested | ( | QPoint | point | ) |
| virtual slot

Opens context menu.

virtual void frameIn | ( | int | id,
|  | cv::Mat * | frame
| ) |  |
| virtual slot

Update displayed picture.

Parameters

  id | Frame ID
  frame | Pointer to picture

void Properties | ( |  | ) |
| slot

Opens properties dialog.

void signalSpecial | ( | QString |  | ) |
| signal

For communication between ProcessorObject and ProcessorWindow.

virtual void updateLists | ( | QList< CameraPreview * > | ,
|  | QList< ProcessorWindow * > |
| ) |  |
| inline virtual

Allows derived classes to update list of input cameras and processors, empty in base class.

Parameters

  cameraList | list of pointers to input CameraPreview objects
  processorList | list of pointers to input ProcessorWindow objects

Reimplemented in CameraCalibrationWindow.

## Member Data Documentation

QPropertyEditorWidget* prop
| protected

ProcessorThread* pt

Pointer to corresponding ProcessorThread.

The documentation for this class was generated from the following file:

- processors/ProcessorWindow.h